Bug 145384 - CAN-2005-0075 Arbitrary code injection in Squirrelmail
Summary: CAN-2005-0075 Arbitrary code injection in Squirrelmail
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: squirrelmail (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard: impact=low,embargoed=20050122
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-17 21:52 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 17:10:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch for this issue. (1.89 KB, patch)
2005-01-17 21:54 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:135 normal SHIPPED_LIVE Low: squirrelmail security update 2005-02-10 05:00:00 UTC

Description Josh Bressers 2005-01-17 21:52:14 UTC
Debian reported this to vendor-sec on 2005-01-15

Hi,

A missing variable initialisation in functions/prefs.php allowed for
potential insecure file inclusions. Only environments where the PHP
setting register_globals is set to On are vulnerable.

Affected versions: SquirrelMail 1.4.3, 1.4.3a, 1.4.4-RC1
Fixed in: SquirrelMail 1.4.4

This vulnerability was discovered by SquirrelMail developer Jimmy
Conner.

Currently the 1.4.4 release is planned for monday, as there still is
some translation stuff pending.


Please note that we do not have register_globals enabled by default, which
negates this issue.

Comment 1 Josh Bressers 2005-01-17 21:54:47 UTC
Created attachment 109892 [details]
Upstream patch for this issue.

Comment 2 Josh Bressers 2005-01-24 13:29:02 UTC
Lifting embargo.

Comment 3 Josh Bressers 2005-02-10 17:10:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-135.html



Note You need to log in before you can comment on or make changes to this bug.